#include <SPI.h>
#define SS_pin 10                // Slave select pin
byte n;
const byte digit [10] = {        // Definitions of the 7-bit values for displaying digits
  0b11111100,
  0b01100000,
  0b11011010,
  0b11110010,
  0b01100110,
  0b10110110,
  0b10111110,
  0b11100000,
  0b11111110,
  0b11110110 };

void displayNumber(byte data) {
  digitalWrite(SS_pin,LOW);
  SPI.transfer(~digit[data]);           // Common anode means: 0-ON, 1-OFF
  digitalWrite(SS_pin,HIGH);
}  

void setup() {
  pinMode(SS_pin,OUTPUT);        //Initialize SS_pin
  SPI.begin();                   //Initialize SPI hardware
  SPI.setBitOrder(LSBFIRST);     //Send least significant bit first
}

void loop() {
  for(byte i=0; i<10; i++) {
    displayNumber(i);            //Display this value
    delay(1000);
  }
}

